apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: application-apps
  namespace: argocd
  # finalizers:
  # # ensure all resources are deleted when Application is deleted
  # - resources-finalizer.argocd.argoproj.io
spec:
  project: default

  sources:
  - repoURL: https://gitlab.com/api/v4/projects/55879452/packages/helm/stable/
    chart: argocd-apps
    targetRevision: 1.0.0
    helm:
      releaseName: argocd-apps
      valueFiles:
      - $values/deployment/apps/global-values.yaml
      - $values/deployment/apps/k8s-dev/env-values.yaml  # change env folder
  - repoURL: https://gitlab.com/path/to/project.git      # change project path
    targetRevision: HEAD
    ref: values

  destination:
    server: https://kubernetes.default.svc
    namespace: argocd

  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - ServerSideApply=true